function GcTmMain(fileName, directory)
% GcTmMain(fileName, directory)
% Main program Gaussian_curve_Tm_analysis
%

set(3,'userdata',[]); %Clear old data

GcTmCmd('status','Reading data from disk'); 
data=readCsvFile([directory fileName]);

if ~isempty(data(1).type),
    limit=GcTmCmd('limit');
    [data(1).data, data(1).n, data(1).nStr, data(1).param]=GcTmSybr(...
        data(1).wellNr,...
        data(1).temperature,...
        data(1).derivativeData,...
        limit);
else
    GcTmCmd('status','Can not read file');
    return;
end

if ~isempty(data(2).type),
    [data(2).data, data(2).n, data(2).nStr, data(2).param]=GcTmTamra(...
        data(2).wellNr,...
        data(2).temperature,...
        data(2).derivativeData,...
        data(1).n,...
        data(1).nStr);
end

GcTmCmd('status','Writing data to disk');
set(3,'userdata',data);
n=find(fileName=='.');
writeXlsFile2([directory fileName(1:n-1) 'R.xls'],data);
        
GcTmCmd('status',['Done']);
GcTmCmd('plotmesh');

% End Main Program--------------------------------
   
