function plotMeshSybr(data, plotfig)

if nargin<2, plotfig=1; end

nr=GcTmCmd('getwell');

screen=get(0,'screenSize');
figPos=[
        0.05 0.51 0.45 0.4;
        0.51 0.51 0.45 0.4;
        0.05 0.1 0.45 0.36;
        0.51 0.1 0.45 0.3
        ];

figure(4)
% plot Tsybr(well) 
set(gcf,'pos',figPos(4,:).*[screen(3) screen(4) screen(3) screen(4)])
subplot(2,1,1:2);
well=1:data(1).wellMax;
Tsybr=zeros(1,data(1).wellMax);
Tsybr(data(1).wellNr)=data(1).data(:,1);
Tsybr(Tsybr==0)=nan;

plot(well,Tsybr);
hold on
plot(well(nr),Tsybr(nr),'x')
title('Tm SYBR')
hold off

if plotfig==4, return; end

%Convert from list to mesh
probeSybr=zeros(data(1).meshRow,data(1).meshCol);
N=data(1).wellMax;
for i=1:N,
    y=8-fix((i-1)/12);
    x=rem(i-1,12)+1;
    probeSybr(y,x)=Tsybr(i);
end
ynr=8-fix((nr-1)/12); xnr=rem(nr-1,12)+1;

figure(1)
% mesh Tsybr and Ttamara 
set(gcf,'pos',figPos(1,:).*[screen(3) screen(4) screen(3) screen(4)])
mesh(probeSybr);
hold on
text(xnr,ynr,probeSybr(ynr,xnr),'x')
hold off
set(gca,'Ytick',[1 2 3 4 5 6 7 8]')
set(gca,'YtickLabel',['H' 'G' 'F' 'E' 'D' 'C' 'B' 'A']')
set(gca,'xlim',[1 data(1).meshCol],'ylim',[1 data(1).meshRow]);
text(10,1,probeSybr(y,x),'Sybr');

