function writeXlsFile2(fileName,data)
% Write result to Excel file
%

% Headings 
header={'Detector (1=SYBR 2=TAMRA)','Well nr','Tm','TmSYBR-TmTAMRA+Avg.TmTAMRA','a','b','c','d','e','n1','n2','n3','n4','n5','n6'};
xlswrite(fileName,header,'sheet1','A1');

N=length(data(1).wellNr);
S=zeros(N,15);
% Sybr
for i=1:N,
    S(i,1)=1;
    S(i,2)=data(1).wellNr(i);
    S(i,3)=data(1).data(i,1);
    S(i,4)=0;
    S(i,5:9)=data(1).param(i,:);
    S(i,10:15)=data(1).n(i,:); 
end

% Tamra
if isempty(data(2).type),
    T=[];
else
    T=zeros(N,15);
    TTm=data(2).data(:,1);
    TTmavg=mean(TTm(TTm~=0));
    for i=1:N,
        T(i,1)=2;
        T(i,2)=data(2).wellNr(i);
        T(i,3)=data(2).data(i,1);
        T(i,4)=data(1).data(i,1)-data(2).data(i,1)+TTmavg;
        T(i,5:9)=data(2).param(i,:);
        T(i,10:15)=data(2).n(i,:);
    end
end

% Write  Data 
xlswrite(fileName,[S;T],'sheet1','A2');

